ProfilerCollectorManager (Lucene 10.5.0 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: ProfilerCollectorManager

Package org.apache.lucene.sandbox.search

# Class ProfilerCollectorManager

java.lang.Object
org.apache.lucene.sandbox.search.ProfilerCollectorManager

All Implemented Interfaces:
  `CollectorManager<ProfilerCollector,ProfilerCollectorResult>`

public abstract class ProfilerCollectorManager extends Object implements CollectorManager<ProfilerCollector,ProfilerCollectorResult>
Collector manager for `ProfilerCollector`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfilerCollectorManager(String reason)`
  Creates a profiler collector manager provided a certain reason

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract Collector`
  `createCollector()`
  Creates the collector to be wrapped with a `ProfilerCollector`
  `final ProfilerCollector`
  `newCollector()`
  `ProfilerCollectorResult`
  `reduce(Collection<ProfilerCollector> collectors)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProfilerCollectorManager

    public ProfilerCollectorManager(String reason)
    Creates a profiler collector manager provided a certain reason
    Parameters:
      `reason` - the reason for the collection

- ## Method Details

  - ### createCollector

    protected abstract Collector createCollector() throws IOException
    Creates the collector to be wrapped with a `ProfilerCollector`
    Throws:
      `IOException`

  - ### newCollector

    public final ProfilerCollector newCollector() throws IOException
    Specified by:
      `newCollector` in interface `CollectorManager<ProfilerCollector,ProfilerCollectorResult>`
    Throws:
      `IOException`

  - ### reduce

    public ProfilerCollectorResult reduce(Collection<ProfilerCollector> collectors) throws IOException
    Specified by:
      `reduce` in interface `CollectorManager<ProfilerCollector,ProfilerCollectorResult>`
    Throws:
      `IOException`